Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025270
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2013-12-04 11:042014-02-12 18:28
ReporterVictorVillarView Statuspublic 
Assigned Togauravdeshmukh 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision16607feff424
ProjectionnoneETAnoneTarget Version3.0PR14Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Topramakrishnan
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025270: It is possible to have different warehouses between the Sales Order header and the Sales order lines

DescriptionIt is possible to have different warehouses between the Sales Order header and the Sales order lines
Steps To ReproduceAs group admin role,
Go to Sales order window
 Create a new register for org: España
   warehouse: Región norte
Create one line and save

Go to the header again and change the warehouse, realise that the m_warehouse_id in the lines has not updated with the new warehouse header value.
Proposed SolutionDo not use a simple trigger.
It should be applied the same logic as in the promised delivery date
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00248703.0PR14Q2 closedgauravdeshmukh Create shipment from orders does not respect the warehouse defined in the sales order when the process creates the shipment 

-  Notes
(0063523)
hgbot (developer)
2014-01-20 06:52

Repository: erp/devel/pi
Changeset: 16607feff4249d31e079324f1f261acd0b45d09a
Author: Gaurav Deshmukh <gaurav.deshmukh <at> openbravo.com>
Date: Wed Jan 15 17:49:56 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/16607feff4249d31e079324f1f261acd0b45d09a [^]

Fixes Issue 25270:It is possible to have different warehouses btw the SO Header and line

---
M src-db/database/sourcedata/AD_REF_LIST.xml
M src/org/openbravo/event/OrderEventHandler.java
---
(0063524)
gauravdeshmukh (developer)
2014-01-20 07:05
edited on: 2014-01-20 07:32

As group admin role
-Go to Sales order window
-Create a new register for org: España warehouse: Región norte
-Create one line and save
-Change the warehouse in the header
-Check that the warehouse in the header and lines are the same

Now,
-Go to Preference window and add the property "DoNotSyncWarehouse" with the value "Y"
-Go to Sales order window
-Create a new register for org: España warehouse: Región norte
-Create one line and save
-Change the warehouse in the header
-Notice that the warehouse in the header and the lines are not synced

When the warehouse are different in the lines and the header, the shipment will be created with line's warehouse.
Refer issue https://issues.openbravo.com/view.php?id=24870 [^]

(0063525)
pramakrishnan (developer)
2014-01-20 07:41

Code Review + Testing - OK.
(0064090)
hudsonbot (developer)
2014-02-12 18:28

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d1a5bb862230 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-12-04 11:04 VictorVillar New Issue
2013-12-04 11:04 VictorVillar Assigned To => dmiguelez
2013-12-04 11:04 VictorVillar Modules => Core
2013-12-04 11:04 VictorVillar Triggers an Emergency Pack => No
2013-12-05 12:26 VictorVillar Issue Monitored: networkb
2013-12-10 11:21 VictorVillar Proposed Solution updated
2013-12-10 11:21 VictorVillar Assigned To dmiguelez => VictorVillar
2013-12-10 11:21 VictorVillar Assigned To VictorVillar => jonalegriaesarte
2013-12-10 11:22 VictorVillar Proposed Solution updated
2014-01-02 12:38 jonalegriaesarte Target Version 3.0MP31 => 3.0MP32
2014-01-07 12:51 jonalegriaesarte Assigned To jonalegriaesarte => pramakrishnan
2014-01-08 07:35 pramakrishnan Relationship added related to 0024870
2014-01-08 07:35 pramakrishnan Assigned To pramakrishnan => gauravdeshmukh
2014-01-20 06:52 hgbot Checkin
2014-01-20 06:52 hgbot Note Added: 0063523
2014-01-20 06:52 hgbot Status new => resolved
2014-01-20 06:52 hgbot Resolution open => fixed
2014-01-20 06:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/16607feff4249d31e079324f1f261acd0b45d09a [^]
2014-01-20 07:05 gauravdeshmukh Note Added: 0063524
2014-01-20 07:31 gauravdeshmukh Status resolved => new
2014-01-20 07:31 gauravdeshmukh Resolution fixed => open
2014-01-20 07:32 gauravdeshmukh Note Edited: 0063524 View Revisions
2014-01-20 07:41 pramakrishnan Status new => scheduled
2014-01-20 07:41 pramakrishnan fix_in_branch => pi
2014-01-20 07:41 pramakrishnan Status scheduled => resolved
2014-01-20 07:41 pramakrishnan Resolution open => fixed
2014-01-20 07:41 pramakrishnan Review Assigned To => pramakrishnan
2014-01-20 07:41 pramakrishnan Note Added: 0063525
2014-01-20 07:41 pramakrishnan Status resolved => closed
2014-02-12 18:28 hudsonbot Checkin
2014-02-12 18:28 hudsonbot Note Added: 0064090


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker